Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class DelayedConnection

    java.lang.Object
      org.neuroph.core.Connection
          org.neuroph.nnet.comp.DelayedConnection

All Implemented Interfaces:
  Serializable

    public class DelayedConnection

extends Connection

Represents the connection between neurons which can delay signal.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.Connection
`fromNeuron, toNeuron, weight`

Constructor Summary
`DelayedConnection(Neuron fromNeuron, Neuron toNeuron, double weightVal, int delay)` Creates an instance of delayed connection to cpecified neuron and with specified weight

Method Summary
`int` | `getDelay()` Returns delay value for this connection
`double` | `getInput()` Gets delayed input through this connection
`void` | `setDelay(int delay)` Sets delay value for this connection

Methods inherited from class org.neuroph.core.Connection
`getFromNeuron, getToNeuron, getWeight, getWeightedInput, setFromNeuron, setToNeuron, setWeight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelayedConnection

    public DelayedConnection(Neuron fromNeuron,
                             Neuron toNeuron,
                             double weightVal,
                             int delay)

  Creates an instance of delayed connection to cpecified neuron and with specified weight

  Parameters:
    `fromNeuron` - neuron to connect (source neuron)
    `toNeuron` - neuron to connect to (destination neuron)
    `weightVal` - weight value for the connection
    `delay` - delay for the connection

Method Detail

### getDelay

    public int getDelay()

  Returns delay value for this connection

  Returns:
    delay value for this connection

### setDelay

    public void setDelay(int delay)

  Sets delay value for this connection

  Parameters:
    `delay` - value for this connection

### getInput

    public double getInput()

  Gets delayed input through this connection

  Overrides:
    `getInput` in class `Connection`
  Returns:
    delayed output from connected neuron

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.